Folks 0.6.3.1
Posted on: 09/25/2011 09:34 AM

Folks 0.6.3.1 has been released

libfolks 0.6.3.1 is now available for download from:
http://ftp.gnome.org/pub/GNOME/sources/folks/0.6/

7dc71cd10b6010976d0d597abd81a72873ec2f7bd164bc4f18204355c0daef96
folks-0.6.3.1.tar.bz2
9e368f6640f600ca64818747f2cb224f1063db9a5d75fbaaaefce7374778341d
folks-0.6.3.1.tar.xz

libfolks 0.6.3.1 — Sometimes I doubt your commitment to Sparkle Motion
========================================================================

Libfolks pulls together contacts from any number of accounts supported
by the libfolks backends. This release includes a number of backends,
including Telepathy, evolution-data-server, libsocialweb, Tracker, and
a simple key-file backend.

The 0.6.x series is API and ABI stable and corresponds to the GNOME 3.2
release. We will continue in the 0.6.x for the foreseeable future,
until we need to make further API or ABI breaks (which we don't
anticipate at this time). We will make an announcement when we
officially commit to API/ABI stability for the project as a whole.

See the NEWS file for details on every break we made before 0.6.0. In
future releases, we will have example programs that will be kept
up-to-date with the latest API as well.

For more information, see the Folks wiki page:
http://telepathy.freedesktop.org/wiki/Folks

Reference documentation is available here:
http://telepathy.freedesktop.org/doc/folks/
http://telepathy.freedesktop.org/doc/folks-eds/
http://telepathy.freedesktop.org/doc/folks-libsocialweb/
http://telepathy.freedesktop.org/doc/folks-telepathy/

Overview of changes from libfolks 0.6.3 to libfolks 0.6.3.1
===========================================================
Bugs fixed:
* Bug 658631 — Deprecate PersonaStore.can-[alias|group]-personas
* Bug 658002 — defective typelib
* Bug 659737 — tests fail due to usage of deprecated methods

API changes:
* Deprecate Folks.PersonaStore.can_[alias, group]_personas.
Applications should use Folks.PersonaStore#always-writeable-properties
and Folks.Persona#writeable-properties to check availability of
"alias" and "groups" properties.

Dependencies
============
libfolks and depend upon core GNOME libraries (GLib, GIO, etc.), as well
as the recent releases of Vala and gobject-introspection.

The Telepathy backend also requires a recent release of telepathy-glib,
built to include its Vala bindings.

The EDS backend also requires a recent release of evolution-data-server,
built to include its Vala bindings.

The Tracker backend requires a recent version of Tracker.

The Libsocialweb backend requires a recent version of libsocialweb,
built to include the Vala bindings.

Contributing/Contact
====================
For any questions, comments, feature proposals, etc., please refer to
the Telepathy mailing list or #telepathy on Freenode.
For bug reports, please file them against the GNOME Bugzilla module
"folks".



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/folks_6_3_1.html)